Name:           homebank
Version:        5.7.2
Release:        %mkrel 1
Summary:        Free easy personal accounting for all

Group:          Office/Finance
License:        GPLv2+
URL:            http://homebank.free.fr
Source0:        http://homebank.free.fr/public/sources/%{name}-%{version}.tar.gz
Patch0:         desktop.patch
Patch1:         homebank-fix-desktop-keywords.patch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libsoup-3.0)

%description
HomeBank is the free software you have always wanted to manage your personal
accounts at home. The main concept is to be light, simple and very easy to use.
It brings you many features that allows you to analyze your finances in a
detailed way instantly and dynamically with powerful report tools based on
filtering and graphical charts.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README doc/TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Feb 03 2024 daviddavid <daviddavid> 5.7.2-1.mga9
+ Revision: 2036931
- new version: 5.7.3 (mga#320748)

* Fri Apr 21 2023 daviddavid <daviddavid> 5.6.3-1.mga9
+ Revision: 1953827
- new version: 5.6.3 (mga#31823)

* Fri Feb 17 2023 daviddavid <daviddavid> 5.6.2-1.mga9
+ Revision: 1943717
- new version: 5.6.2

* Mon Jan 30 2023 daviddavid <daviddavid> 5.6.1-1.mga9
+ Revision: 1936926
- new version: 5.6.1

* Thu Dec 29 2022 daviddavid <daviddavid> 5.6-1.mga9
+ Revision: 1927641
- new version: 5.6

* Tue Nov 08 2022 daviddavid <daviddavid> 5.5.8-1.mga9
+ Revision: 1904792
- new version: 5.5.8

* Sun Sep 11 2022 wally <wally> 5.5.6-1.mga9
+ Revision: 1887306
- new version 5.5.6

* Fri Apr 01 2022 umeabot <umeabot> 5.5.2-2.mga9
+ Revision: 1837842
- Mageia 9 Mass Rebuild

* Fri May 21 2021 daviddavid <daviddavid> 5.5.2-1.mga9
+ Revision: 1725934
- new version: 5.5.2

* Mon May 03 2021 daviddavid <daviddavid> 5.5.1-1.mga9
+ Revision: 1720994
- new version: 5.5.1

* Tue Mar 02 2021 daviddavid <daviddavid> 5.5-1.mga9
+ Revision: 1696199
- new version: 5.5

* Fri Oct 23 2020 daviddavid <daviddavid> 5.4.3-1.mga8
+ Revision: 1638695
- new version: 5.4.3

* Tue Aug 11 2020 sander85 <sander85> 5.4.2-1.mga8
+ Revision: 1613299
- New version: 5.4.2

* Fri Apr 24 2020 daviddavid <daviddavid> 5.4.1-1.mga8
+ Revision: 1571543
- new version: 5.4.1

* Sat Feb 22 2020 daviddavid <daviddavid> 5.3.2-1.mga8
+ Revision: 1549342
- new version: 5.3.2

* Thu Feb 20 2020 umeabot <umeabot> 5.3.1-2.mga8
+ Revision: 1546130
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 5.3.1-1.mga8
+ Revision: 1486118
- new version: 5.3.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 23 2019 daviddavid <daviddavid> 5.2.8-1.mga8
+ Revision: 1462445
- new version: 5.2.8

* Tue Sep 03 2019 daviddavid <daviddavid> 5.2.7-1.mga8
+ Revision: 1436546
- new version: 5.2.7

* Tue Jul 16 2019 daviddavid <daviddavid> 5.2.6-1.mga8
+ Revision: 1421895
- new version: 5.2.6

* Thu Apr 11 2019 daviddavid <daviddavid> 5.2.4-1.mga7
+ Revision: 1388233
- new version: 5.2.4

* Thu Mar 21 2019 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1379394
- new version: 5.2.3

* Sun Oct 28 2018 daviddavid <daviddavid> 5.2.2-1.mga7
+ Revision: 1326362
- new version: 5.2.2

* Sun Sep 16 2018 daviddavid <daviddavid> 5.2.1-1.mga7
+ Revision: 1259199
- new version: 5.2.1

* Wed Apr 18 2018 daviddavid <daviddavid> 5.1.8-1.mga7
+ Revision: 1219836
- new version: 5.1.8

* Sun Jan 07 2018 daviddavid <daviddavid> 5.1.7-1.mga7
+ Revision: 1191162
- new version: 5.1.7

* Sun Nov 19 2017 sander85 <sander85> 5.1.6-1.mga7
+ Revision: 1177794
- New version: 5.1.6

* Mon Jul 17 2017 sander85 <sander85> 5.1.5-1.mga7
+ Revision: 1124153
- New version: 5.1.5

* Wed Apr 26 2017 akien <akien> 5.1.4-1.mga6
+ Revision: 1097413
- Version 5.1.4

* Wed Jan 25 2017 sander85 <sander85> 5.1.3-1.mga6
+ Revision: 1083444
- New version: 5.1.3

* Sat Nov 12 2016 akien <akien> 5.1.1-1.mga6
+ Revision: 1066888
- Version 5.1.1

* Sat Aug 06 2016 sander85 <sander85> 5.0.9-2.mga6
+ Revision: 1044845
- Fix bogus .desktop file translations
- New version: 5.0.9

* Sat May 21 2016 sander85 <sander85> 5.0.8-1.mga6
+ Revision: 1017398
- New version: 5.0.8

* Mon May 09 2016 sander85 <sander85> 5.0.7-2.mga6
+ Revision: 1011572
- Fix .desktop file translations
- New version: 5.0.7

* Mon May 02 2016 zezinho <zezinho> 5.0.6-3.mga6
+ Revision: 1008566
- rebuild against libofx 0.9.10

* Wed Jan 13 2016 akien <akien> 5.0.6-2.mga6
+ Revision: 922415
- Rebuild for fixed desktop file
+ sander85 <sander85>
- New version: 5.0.6

* Fri Jun 26 2015 sander85 <sander85> 5.0.3-1.mga6
+ Revision: 844695
- New version: 5.0.3

* Wed Oct 15 2014 umeabot <umeabot> 4.6.3-3.mga5
+ Revision: 743936
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.3-2.mga5
+ Revision: 680157
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 4.6.3-1.mga5
+ Revision: 661515
- New version: 4.6.3

* Mon Jul 28 2014 sander85 <sander85> 4.6.2-1.mga5
+ Revision: 657708
- New version: 4.6.2
- Convert to %%autosetup

* Fri Jun 27 2014 sander85 <sander85> 4.6.1-1.mga5
+ Revision: 640366
- New version: 4.6.1

* Tue Jun 24 2014 sander85 <sander85> 4.6-1.mga5
+ Revision: 639272
- New version: 4.6

* Mon Mar 10 2014 sander85 <sander85> 4.5.6-1.mga5
+ Revision: 601875
- New version: 4.5.6

* Wed Feb 05 2014 sander85 <sander85> 4.5.5-1.mga5
+ Revision: 583344
- New version: 4.5.5

* Sun Dec 15 2013 tv <tv> 4.5.4-3.mga4
+ Revision: 557067
- rebuild for new libofx

* Mon Oct 21 2013 umeabot <umeabot> 4.5.4-2.mga4
+ Revision: 538414
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 4.5.4-1.mga4
+ Revision: 489576
- New version: 4.5.4

* Fri Aug 16 2013 sander85 <sander85> 4.5.2-1.mga4
+ Revision: 466945
- New version: 4.5.2

* Sat Aug 03 2013 sander85 <sander85> 4.5.1-1.mga4
+ Revision: 463039
- New version: 4.5.1

* Sat Jul 06 2013 sander85 <sander85> 4.5-2.mga4
+ Revision: 450756
- Fix segfault on x86_64

* Sun Jun 02 2013 sander85 <sander85> 4.5-1.mga4
+ Revision: 434567
- New version: 4.5

* Sat Jan 12 2013 umeabot <umeabot> 4.4-3.mga3
+ Revision: 353274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 4.4-2.mga3
+ Revision: 344921
- update group
- clean spec

* Mon Apr 18 2011 dams <dams> 4.4-1.mga2
+ Revision: 87734
- Update to 4.4

* Fri Feb 25 2011 ennael <ennael> 4.3-1.mga1
+ Revision: 59172
- imported package homebank


* Tue Aug 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.3-1mdv2011.0
+ Revision: 572637
- update to 4.3

* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 4.2.1-1mdv2010.1
+ Revision: 506588
- update to new version 4.2.1

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 4.2-1mdv2010.1
+ Revision: 505055
- update to new version 4.2

* Sun Nov 08 2009 Frederik Himpe <fhimpe@mandriva.org> 4.1-1mdv2010.1
+ Revision: 463069
- Update to new version 4.1

* Sun Aug 23 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.4-1mdv2010.0
+ Revision: 420198
- update to new version 4.0.4

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 4.0.3-1mdv2010.0
+ Revision: 370848
- New version 4.0.3

* Thu Apr 09 2009 Anne Nicolas <anne.nicolas@mandriva.com> 4.0.2-2mdv2009.1
+ Revision: 365407
- fix menu for KDE

* Sun Feb 01 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.2-1mdv2009.1
+ Revision: 335927
- update to new version 4.0.2

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2009.1
+ Revision: 310167
- new version 4.0.1

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 4.0-1mdv2009.1
+ Revision: 306160
- BR intltool
- new version 4.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)
    - fix no-buildroot-tag

  + Frederik Himpe <fhimpe@mandriva.org>
    - New upstream version

* Tue Jan 29 2008 Austin Acton <austin@mandriva.org> 3.6-1mdv2008.1
+ Revision: 159621
- import homebank


